Bug 10285 - Error 500 in staff client displays old start page
Summary: Error 500 in staff client displays old start page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-19 10:46 UTC by Magnus Enger
Modified: 2015-12-03 22:03 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
500 error including old start page (46.22 KB, image/png)
2013-05-19 10:46 UTC, Magnus Enger
Details
Bug 10285: Remove links from the error pages (27.98 KB, patch)
2015-04-14 13:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 10285: Remove links from the error pages (28.04 KB, patch)
2015-04-16 02:21 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 10285: Remove links from the error pages (28.15 KB, patch)
2015-04-17 21:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2013-05-19 10:46:31 UTC
Created attachment 18241 [details]
500 error including old start page

If you trigger a 500 internal server error in the the saff client, the old start page is displayed along with the error message. See attached screenshot.
Comment 1 Owen Leonard 2013-10-22 00:48:24 UTC
I think this is okay. I don't think we want to display the full-styled home page as that might be confusing. I suspect, however, that we need to update the page to reflect changes since this was last updated.
Comment 2 Katrin Fischer 2014-07-12 13:52:24 UTC
This is still valid for master. Maybe we should just show the message and remove all the links to the modules below?
Comment 3 Magnus Enger 2014-07-12 17:55:34 UTC
(In reply to Katrin Fischer from comment #2)
> This is still valid for master. Maybe we should just show the message and
> remove all the links to the modules below?

+1 from me. :-)
Comment 4 Magnus Enger 2014-11-25 08:38:16 UTC
The relevant files are in koha-tmpl/intranet-tmpl/prog/en/modules/errors/
Comment 5 Jonathan Druart 2015-04-14 13:49:46 UTC Comment hidden (obsolete)
Comment 6 Nick Clemens 2015-04-16 02:21:25 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2015-04-16 02:22:31 UTC
Signed off, but worth noting, I didn't check 405.pl because I can't find it
Comment 8 M. Tompsett 2015-04-16 02:31:15 UTC
(In reply to Nick Clemens from comment #7)
> Signed off, but worth noting, I didn't check 405.pl because I can't find it

$ git grep 405.t | grep -v "\.po:"
generates nothing.
405 can be removed?
Comment 9 M. Tompsett 2015-04-16 02:35:01 UTC
(In reply to Nick Clemens from comment #7)
> Signed off, but worth noting, I didn't check 405.pl because I can't find it

HTTP error code 405 is "Method Not Allowed" -- disable post and get in your apache config, and see what wonderful kabooms occur?
Comment 10 Katrin Fischer 2015-04-17 21:40:54 UTC
Created attachment 38110 [details] [review]
[PASSED QA] Bug 10285: Remove links from the error pages

The error page (400, 401, 402, 403, 404, 405 and 500) displays parts the old
staff client main page.

The user can easily browses using navigation links.

Test plan:
Go on the 400.pl, 401.pl, 402.pl, 403.pl, 404.pl, 405.pl and 500.pl
pages, and confirm all is fine and you don't get the old style blocks.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

http://bugs.koha-community.org/show_bug.cgi?id=10258
Comment 11 Tomás Cohen Arazi 2015-04-20 13:27:21 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 12 Chris Cormack 2015-04-21 23:25:07 UTC
String changes held for 3.18.7
Comment 13 Chris Cormack 2015-04-29 21:49:17 UTC
Applied to 3.18.x will be in 3.18.7